> ## Documentation Index
> Fetch the complete documentation index at: https://doc.va777.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List balance changes

> List balance changes: request parameters, response format and response codes.

> [!NOTE]
>
> * Balance change records are kept for 3 months.
> * The maximum time range per search is 30 minutes.
> * This service supports transfer wallet members only.
> * Balance change types: 2: platform transfer, 3: back-office adjustment, 6: game provider transfer, 7: game provider refund, 8: event payout

## Path

```text theme={null}
GET {host}/api/v1.0/info/currencyChangeList
```

## Headers

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="56%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`Authorization`</td><td>string</td><td>Yes</td><td>Token we provide</td></tr>
  </tbody>
</table>

## Request parameters

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="11%" />

    <col width="45%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Signed</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`startTime`</td><td>string</td><td>Yes</td><td>✓</td><td>Search start time (see [Time format](https://doc.va777.net/en/v1/guides/request-format.md#time-format))</td></tr>
    <tr><td>`endTime`</td><td>string</td><td>Yes</td><td>✓</td><td>Search end time (see [Time format](https://doc.va777.net/en/v1/guides/request-format.md#time-format))</td></tr>
    <tr><td>`changeTypeList`</td><td>string</td><td>No</td><td>✓</td><td>Balance change types (leave empty for all; for specific types see the notes above, comma-separated, e.g. 2,3)</td></tr>
    <tr><td>`page`</td><td>number</td><td>Yes</td><td>✓</td><td>Page number (minimum 1)</td></tr>
    <tr><td>`pageSize`</td><td>number</td><td>Yes</td><td>✓</td><td>Records per page (minimum 50, maximum 5000)</td></tr>
    <tr><td>`sign`</td><td>string</td><td>Yes</td><td /><td>Signature. See [Signature](https://doc.va777.net/en/v1/guides/signature.md) for how to generate it</td></tr>
  </tbody>
</table>

## Response

Success (the HTTP status code is always 200; check `status.code` for the result)

<table>
  <colgroup>
    <col width="34%" />

    <col width="12%" />

    <col width="54%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`data`</td><td>object</td><td /></tr>
    <tr><td>`data.transactionList`</td><td>object\[]</td><td>Balance change records</td></tr>
    <tr><td>`data.transactionList[].transactionId`</td><td>string</td><td>Transaction ID</td></tr>
    <tr><td>`data.transactionList[].status`</td><td>boolean</td><td>Change status (true: succeeded, false: failed)</td></tr>
    <tr><td>`data.transactionList[].channelId`</td><td>number</td><td>Channel ID</td></tr>
    <tr><td>`data.transactionList[].account`</td><td>string</td><td>Member account</td></tr>
    <tr><td>`data.transactionList[].currency`</td><td>string</td><td>Currency (contact our business team)</td></tr>
    <tr><td>`data.transactionList[].amount`</td><td>number</td><td>Change amount</td></tr>
    <tr><td>`data.transactionList[].balanceBefore`</td><td>number</td><td>Wallet balance before the change</td></tr>
    <tr><td>`data.transactionList[].balanceAfter`</td><td>number</td><td>Wallet balance after the change</td></tr>
    <tr><td>`data.transactionList[].time`</td><td>string</td><td>Change time (see [Time format](https://doc.va777.net/en/v1/guides/request-format.md#time-format))</td></tr>
    <tr><td>`data.transactionList[].changeType`</td><td>string</td><td>Change type</td></tr>
    <tr><td>`data.transactionList[].note`</td><td>string</td><td>Note</td></tr>
    <tr><td>`status`</td><td>object</td><td>Response status. See [Response format](https://doc.va777.net/en/v1/guides/request-format.md#response-format)</td></tr>
  </tbody>
</table>

### Response example

```json theme={null}
{
  "data": {
    "transactionList": [
      {
        "transactionId": "7524266853ebe08f9783dae0ac31ba97",
        "status": true,
        "channelId": 1,
        "account": "player001",
        "currency": "CNY",
        "amount": 99,
        "balanceBefore": 0,
        "balanceAfter": 99,
        "time": "2022-07-04T10:13:54.920+08:00",
        "changeType": "後台補點",
        "note": ""
      }
    ]
  },
  "status": {
    "code": "0",
    "message": "success",
    "datetime": "2022-07-04T10:13:54.920+08:00",
    "traceCode": "7cf25e1957cc47fe8e01f1a7c6d504d6"
  }
}
```

## Response codes

Besides the [common codes](https://doc.va777.net/en/v1/reference/response-codes.md), this API may also return:

| Code | Description |
| - | - |
| `103` | Request failed on our side |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.